> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getwith.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Consultation



## OpenAPI

````yaml post /api/consultation/create
openapi: 3.0.0
info:
  title: WithAI API
  version: 0.0.1
servers:
  - url: https://www.getwith.ai
security: []
paths:
  /api/consultation/create:
    post:
      summary: Create Consultation
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsultationInput'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Consultation'
components:
  schemas:
    ConsultationInput:
      type: object
      properties:
        planID:
          type: string
        context:
          type: string
      required:
        - planID
    Consultation:
      type: object
      properties:
        id:
          type: string
        planID:
          type: string
        context:
          type: string
      required:
        - id
        - planID

````